%define upstream_name    X10
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10c

Summary:    Enables Perl to communicate with X10 devices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/X10/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Astro::SunTime)
BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::ParseDate)
BuildArch: noarch

%description
X10 Perl module for the Firecracker, ActiveHome, and TwoWay/TW523 interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

#fix shebangs
sed -i -e 's|/usr/local/bin/perl|%{_bindir}/perl|g' x10*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README TODO Changes
%{_bindir}/*
%perl_vendorlib/*




%changelog
* Thu Apr 30 2020 wally <wally> 0.30.0-10c.mga8
+ Revision: 1576838
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.30.0-10c.mga7
+ Revision: 1374837
- fix summary+desc

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-9.mga7
+ Revision: 1272740
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-8.mga6
+ Revision: 1035882
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 944198
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 747073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 686890
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-4.mga4
+ Revision: 516020
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 374905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 22 2011 wally <wally> 0.30.0-2.mga2
+ Revision: 146821
- fix shebangs

* Wed Sep 21 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 146335
- imported package perl-X10


* Wed Sep 21 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
